petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCFactorSetUpMatSolverPackage

Can be called after KSPSetOperators() or PCSetOperators(), causes MatGetFactor() to be called so then one may set the options for that particular factorization object.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCFactorSetUpMatSolverPackage(PC pc)

### Input Parameter

pc -the preconditioner context Many br

Notes: After you have called this function (which has to be after the KSPSetOperators() or PCSetOperators()) you can call PCFactorGetMatrix() and then set factor options on that matrix. Many br

### See Also

PCFactorSetMatSolverPackage(), PCFactorGetMatrix()

Many br

Level:intermediate
Location:src/ksp/pc/impls/factor/factor.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex52.c.html
src/ksp/ksp/examples/tutorials/ex52f.F.html